import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApiGatewayUsagePlanKeyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly keyId: string;
    /**
     * @stability stable
     */
    readonly keyType: string;
    /**
     * @stability stable
     */
    readonly usagePlanId: string;
}
/**
 * @stability stable
 */
export declare class ApiGatewayUsagePlanKey extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApiGatewayUsagePlanKeyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _keyId;
    /**
     * @stability stable
     */
    get keyId(): string;
    /**
     * @stability stable
     */
    set keyId(value: string);
    /**
     * @stability stable
     */
    get keyIdInput(): string;
    private _keyType;
    /**
     * @stability stable
     */
    get keyType(): string;
    /**
     * @stability stable
     */
    set keyType(value: string);
    /**
     * @stability stable
     */
    get keyTypeInput(): string;
    /**
     * @stability stable
     */
    get name(): string;
    private _usagePlanId;
    /**
     * @stability stable
     */
    get usagePlanId(): string;
    /**
     * @stability stable
     */
    set usagePlanId(value: string);
    /**
     * @stability stable
     */
    get usagePlanIdInput(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
