import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BackupRegionSettingsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly resourceTypeOptInPreference: {
        [key: string]: boolean;
    };
}
/**
 * @stability stable
 */
export declare class BackupRegionSettings extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BackupRegionSettingsConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _resourceTypeOptInPreference;
    /**
     * @stability stable
     */
    get resourceTypeOptInPreference(): {
        [key: string]: boolean;
    };
    /**
     * @stability stable
     */
    set resourceTypeOptInPreference(value: {
        [key: string]: boolean;
    });
    /**
     * @stability stable
     */
    get resourceTypeOptInPreferenceInput(): {
        [key: string]: boolean;
    };
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
