import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ConfigConfigurationRecorderStatusConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly isEnabled: boolean;
    /**
     * @stability stable
     */
    readonly name: string;
}
/**
 * @stability stable
 */
export declare class ConfigConfigurationRecorderStatus extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ConfigConfigurationRecorderStatusConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _isEnabled;
    /**
     * @stability stable
     */
    get isEnabled(): boolean;
    /**
     * @stability stable
     */
    set isEnabled(value: boolean);
    /**
     * @stability stable
     */
    get isEnabledInput(): boolean;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
