import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsCodecommitRepositoryConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly repositoryName: string;
}
/**
 * @stability stable
 */
export declare class DataAwsCodecommitRepository extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsCodecommitRepositoryConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get cloneUrlHttp(): string;
    /**
     * @stability stable
     */
    get cloneUrlSsh(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get repositoryId(): string;
    private _repositoryName;
    /**
     * @stability stable
     */
    get repositoryName(): string;
    /**
     * @stability stable
     */
    set repositoryName(value: string);
    /**
     * @stability stable
     */
    get repositoryNameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
