import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsIamAccountAliasConfig extends cdktf.TerraformMetaArguments {
}
/**
 * @stability stable
 */
export declare class DataAwsIamAccountAlias extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsIamAccountAliasConfig);
    /**
     * @stability stable
     */
    get accountAlias(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
