import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsInspectorRulesPackagesConfig extends cdktf.TerraformMetaArguments {
}
/**
 * @stability stable
 */
export declare class DataAwsInspectorRulesPackages extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsInspectorRulesPackagesConfig);
    /**
     * @stability stable
     */
    get arns(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
