import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsLakeformationResourceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly arn: string;
}
/**
 * @stability stable
 */
export declare class DataAwsLakeformationResource extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsLakeformationResourceConfig);
    private _arn;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    set arn(value: string);
    /**
     * @stability stable
     */
    get arnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get lastModified(): string;
    /**
     * @stability stable
     */
    get roleArn(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
