import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsSecretsmanagerSecretRotationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly secretId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsSecretsmanagerSecretRotationRotationRules extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get automaticallyAfterDays(): number;
}
/**
 * @stability stable
 */
export declare class DataAwsSecretsmanagerSecretRotation extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsSecretsmanagerSecretRotationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get rotationEnabled(): boolean;
    /**
     * @stability stable
     */
    get rotationLambdaArn(): string;
    /**
     * @stability stable
     */
    rotationRules(index: string): DataAwsSecretsmanagerSecretRotationRotationRules;
    private _secretId;
    /**
     * @stability stable
     */
    get secretId(): string;
    /**
     * @stability stable
     */
    set secretId(value: string);
    /**
     * @stability stable
     */
    get secretIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
