import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsWorkspacesImageConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly imageId: string;
}
/**
 * @stability stable
 */
export declare class DataAwsWorkspacesImage extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsWorkspacesImageConfig);
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _imageId;
    /**
     * @stability stable
     */
    get imageId(): string;
    /**
     * @stability stable
     */
    set imageId(value: string);
    /**
     * @stability stable
     */
    get imageIdInput(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get operatingSystemType(): string;
    /**
     * @stability stable
     */
    get requiredTenancy(): string;
    /**
     * @stability stable
     */
    get state(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
