import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DbInstanceRoleAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dbInstanceIdentifier: string;
    /**
     * @stability stable
     */
    readonly featureName: string;
    /**
     * @stability stable
     */
    readonly roleArn: string;
}
/**
 * @stability stable
 */
export declare class DbInstanceRoleAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DbInstanceRoleAssociationConfig);
    private _dbInstanceIdentifier;
    /**
     * @stability stable
     */
    get dbInstanceIdentifier(): string;
    /**
     * @stability stable
     */
    set dbInstanceIdentifier(value: string);
    /**
     * @stability stable
     */
    get dbInstanceIdentifierInput(): string;
    private _featureName;
    /**
     * @stability stable
     */
    get featureName(): string;
    /**
     * @stability stable
     */
    set featureName(value: string);
    /**
     * @stability stable
     */
    get featureNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _roleArn;
    /**
     * @stability stable
     */
    get roleArn(): string;
    /**
     * @stability stable
     */
    set roleArn(value: string);
    /**
     * @stability stable
     */
    get roleArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
