import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Ec2TransitGatewayRouteTablePropagationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly transitGatewayAttachmentId: string;
    /**
     * @stability stable
     */
    readonly transitGatewayRouteTableId: string;
}
/**
 * @stability stable
 */
export declare class Ec2TransitGatewayRouteTablePropagation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Ec2TransitGatewayRouteTablePropagationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get resourceId(): string;
    /**
     * @stability stable
     */
    get resourceType(): string;
    private _transitGatewayAttachmentId;
    /**
     * @stability stable
     */
    get transitGatewayAttachmentId(): string;
    /**
     * @stability stable
     */
    set transitGatewayAttachmentId(value: string);
    /**
     * @stability stable
     */
    get transitGatewayAttachmentIdInput(): string;
    private _transitGatewayRouteTableId;
    /**
     * @stability stable
     */
    get transitGatewayRouteTableId(): string;
    /**
     * @stability stable
     */
    set transitGatewayRouteTableId(value: string);
    /**
     * @stability stable
     */
    get transitGatewayRouteTableIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
