import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface GuarddutyOrganizationAdminAccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly adminAccountId: string;
}
/**
 * @stability stable
 */
export declare class GuarddutyOrganizationAdminAccount extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: GuarddutyOrganizationAdminAccountConfig);
    private _adminAccountId;
    /**
     * @stability stable
     */
    get adminAccountId(): string;
    /**
     * @stability stable
     */
    set adminAccountId(value: string);
    /**
     * @stability stable
     */
    get adminAccountIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
