import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IamGroupPolicyAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly group: string;
    /**
     * @stability stable
     */
    readonly policyArn: string;
}
/**
 * @stability stable
 */
export declare class IamGroupPolicyAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IamGroupPolicyAttachmentConfig);
    private _group;
    /**
     * @stability stable
     */
    get group(): string;
    /**
     * @stability stable
     */
    set group(value: string);
    /**
     * @stability stable
     */
    get groupInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _policyArn;
    /**
     * @stability stable
     */
    get policyArn(): string;
    /**
     * @stability stable
     */
    set policyArn(value: string);
    /**
     * @stability stable
     */
    get policyArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
