import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IamUserGroupMembershipConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly groups: string[];
    /**
     * @stability stable
     */
    readonly user: string;
}
/**
 * @stability stable
 */
export declare class IamUserGroupMembership extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IamUserGroupMembershipConfig);
    private _groups;
    /**
     * @stability stable
     */
    get groups(): string[];
    /**
     * @stability stable
     */
    set groups(value: string[]);
    /**
     * @stability stable
     */
    get groupsInput(): string[];
    /**
     * @stability stable
     */
    get id(): string;
    private _user;
    /**
     * @stability stable
     */
    get user(): string;
    /**
     * @stability stable
     */
    set user(value: string);
    /**
     * @stability stable
     */
    get userInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
