import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IotPolicyAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly policy: string;
    /**
     * @stability stable
     */
    readonly target: string;
}
/**
 * @stability stable
 */
export declare class IotPolicyAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IotPolicyAttachmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _policy;
    /**
     * @stability stable
     */
    get policy(): string;
    /**
     * @stability stable
     */
    set policy(value: string);
    /**
     * @stability stable
     */
    get policyInput(): string;
    private _target;
    /**
     * @stability stable
     */
    get target(): string;
    /**
     * @stability stable
     */
    set target(value: string);
    /**
     * @stability stable
     */
    get targetInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
