import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IotThingPrincipalAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly principal: string;
    /**
     * @stability stable
     */
    readonly thing: string;
}
/**
 * @stability stable
 */
export declare class IotThingPrincipalAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IotThingPrincipalAttachmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _principal;
    /**
     * @stability stable
     */
    get principal(): string;
    /**
     * @stability stable
     */
    set principal(value: string);
    /**
     * @stability stable
     */
    get principalInput(): string;
    private _thing;
    /**
     * @stability stable
     */
    get thing(): string;
    /**
     * @stability stable
     */
    set thing(value: string);
    /**
     * @stability stable
     */
    get thingInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
