import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LicensemanagerAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly licenseConfigurationArn: string;
    /**
     * @stability stable
     */
    readonly resourceArn: string;
}
/**
 * @stability stable
 */
export declare class LicensemanagerAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LicensemanagerAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _licenseConfigurationArn;
    /**
     * @stability stable
     */
    get licenseConfigurationArn(): string;
    /**
     * @stability stable
     */
    set licenseConfigurationArn(value: string);
    /**
     * @stability stable
     */
    get licenseConfigurationArnInput(): string;
    private _resourceArn;
    /**
     * @stability stable
     */
    get resourceArn(): string;
    /**
     * @stability stable
     */
    set resourceArn(value: string);
    /**
     * @stability stable
     */
    get resourceArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
