import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LightsailDomainConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly domainName: string;
}
/**
 * @stability stable
 */
export declare class LightsailDomain extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LightsailDomainConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _domainName;
    /**
     * @stability stable
     */
    get domainName(): string;
    /**
     * @stability stable
     */
    set domainName(value: string);
    /**
     * @stability stable
     */
    get domainNameInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
