import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface OpsworksRdsDbInstanceConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dbPassword: string;
    /**
     * @stability stable
     */
    readonly dbUser: string;
    /**
     * @stability stable
     */
    readonly rdsDbInstanceArn: string;
    /**
     * @stability stable
     */
    readonly stackId: string;
}
/**
 * @stability stable
 */
export declare class OpsworksRdsDbInstance extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: OpsworksRdsDbInstanceConfig);
    private _dbPassword;
    /**
     * @stability stable
     */
    get dbPassword(): string;
    /**
     * @stability stable
     */
    set dbPassword(value: string);
    /**
     * @stability stable
     */
    get dbPasswordInput(): string;
    private _dbUser;
    /**
     * @stability stable
     */
    get dbUser(): string;
    /**
     * @stability stable
     */
    set dbUser(value: string);
    /**
     * @stability stable
     */
    get dbUserInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _rdsDbInstanceArn;
    /**
     * @stability stable
     */
    get rdsDbInstanceArn(): string;
    /**
     * @stability stable
     */
    set rdsDbInstanceArn(value: string);
    /**
     * @stability stable
     */
    get rdsDbInstanceArnInput(): string;
    private _stackId;
    /**
     * @stability stable
     */
    get stackId(): string;
    /**
     * @stability stable
     */
    set stackId(value: string);
    /**
     * @stability stable
     */
    get stackIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
