import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface OrganizationsPolicyAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly policyId: string;
    /**
     * @stability stable
     */
    readonly targetId: string;
}
/**
 * @stability stable
 */
export declare class OrganizationsPolicyAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: OrganizationsPolicyAttachmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _policyId;
    /**
     * @stability stable
     */
    get policyId(): string;
    /**
     * @stability stable
     */
    set policyId(value: string);
    /**
     * @stability stable
     */
    get policyIdInput(): string;
    private _targetId;
    /**
     * @stability stable
     */
    get targetId(): string;
    /**
     * @stability stable
     */
    set targetId(value: string);
    /**
     * @stability stable
     */
    get targetIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
