import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Route53DelegationSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly referenceName?: string;
}
/**
 * @stability stable
 */
export declare class Route53DelegationSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: Route53DelegationSetConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get nameServers(): string[];
    private _referenceName?;
    /**
     * @stability stable
     */
    get referenceName(): string;
    /**
     * @stability stable
     */
    set referenceName(value: string);
    /**
     * @stability stable
     */
    resetReferenceName(): void;
    /**
     * @stability stable
     */
    get referenceNameInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
