import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SagemakerNotebookInstanceLifecycleConfigurationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly onCreate?: string;
    /**
     * @stability stable
     */
    readonly onStart?: string;
}
/**
 * @stability stable
 */
export declare class SagemakerNotebookInstanceLifecycleConfiguration extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: SagemakerNotebookInstanceLifecycleConfigurationConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _onCreate?;
    /**
     * @stability stable
     */
    get onCreate(): string;
    /**
     * @stability stable
     */
    set onCreate(value: string);
    /**
     * @stability stable
     */
    resetOnCreate(): void;
    /**
     * @stability stable
     */
    get onCreateInput(): string | undefined;
    private _onStart?;
    /**
     * @stability stable
     */
    get onStart(): string;
    /**
     * @stability stable
     */
    set onStart(value: string);
    /**
     * @stability stable
     */
    resetOnStart(): void;
    /**
     * @stability stable
     */
    get onStartInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
