import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicequotasServiceQuotaConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly quotaCode: string;
    /**
     * @stability stable
     */
    readonly serviceCode: string;
    /**
     * @stability stable
     */
    readonly value: number;
}
/**
 * @stability stable
 */
export declare class ServicequotasServiceQuota extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicequotasServiceQuotaConfig);
    /**
     * @stability stable
     */
    get adjustable(): boolean;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get defaultValue(): number;
    /**
     * @stability stable
     */
    get id(): string;
    private _quotaCode;
    /**
     * @stability stable
     */
    get quotaCode(): string;
    /**
     * @stability stable
     */
    set quotaCode(value: string);
    /**
     * @stability stable
     */
    get quotaCodeInput(): string;
    /**
     * @stability stable
     */
    get quotaName(): string;
    /**
     * @stability stable
     */
    get requestId(): string;
    /**
     * @stability stable
     */
    get requestStatus(): string;
    private _serviceCode;
    /**
     * @stability stable
     */
    get serviceCode(): string;
    /**
     * @stability stable
     */
    set serviceCode(value: string);
    /**
     * @stability stable
     */
    get serviceCodeInput(): string;
    /**
     * @stability stable
     */
    get serviceName(): string;
    private _value;
    /**
     * @stability stable
     */
    get value(): number;
    /**
     * @stability stable
     */
    set value(value: number);
    /**
     * @stability stable
     */
    get valueInput(): number;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
