import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SesActiveReceiptRuleSetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly ruleSetName: string;
}
/**
 * @stability stable
 */
export declare class SesActiveReceiptRuleSet extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SesActiveReceiptRuleSetConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _ruleSetName;
    /**
     * @stability stable
     */
    get ruleSetName(): string;
    /**
     * @stability stable
     */
    set ruleSetName(value: string);
    /**
     * @stability stable
     */
    get ruleSetNameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
