import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SsoadminManagedPolicyAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly instanceArn: string;
    /**
     * @stability stable
     */
    readonly managedPolicyArn: string;
    /**
     * @stability stable
     */
    readonly permissionSetArn: string;
}
/**
 * @stability stable
 */
export declare class SsoadminManagedPolicyAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SsoadminManagedPolicyAttachmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceArn;
    /**
     * @stability stable
     */
    get instanceArn(): string;
    /**
     * @stability stable
     */
    set instanceArn(value: string);
    /**
     * @stability stable
     */
    get instanceArnInput(): string;
    private _managedPolicyArn;
    /**
     * @stability stable
     */
    get managedPolicyArn(): string;
    /**
     * @stability stable
     */
    set managedPolicyArn(value: string);
    /**
     * @stability stable
     */
    get managedPolicyArnInput(): string;
    /**
     * @stability stable
     */
    get managedPolicyName(): string;
    private _permissionSetArn;
    /**
     * @stability stable
     */
    get permissionSetArn(): string;
    /**
     * @stability stable
     */
    set permissionSetArn(value: string);
    /**
     * @stability stable
     */
    get permissionSetArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
