import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SsoadminPermissionSetInlinePolicyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly inlinePolicy: string;
    /**
     * @stability stable
     */
    readonly instanceArn: string;
    /**
     * @stability stable
     */
    readonly permissionSetArn: string;
}
/**
 * @stability stable
 */
export declare class SsoadminPermissionSetInlinePolicy extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SsoadminPermissionSetInlinePolicyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _inlinePolicy;
    /**
     * @stability stable
     */
    get inlinePolicy(): string;
    /**
     * @stability stable
     */
    set inlinePolicy(value: string);
    /**
     * @stability stable
     */
    get inlinePolicyInput(): string;
    private _instanceArn;
    /**
     * @stability stable
     */
    get instanceArn(): string;
    /**
     * @stability stable
     */
    set instanceArn(value: string);
    /**
     * @stability stable
     */
    get instanceArnInput(): string;
    private _permissionSetArn;
    /**
     * @stability stable
     */
    get permissionSetArn(): string;
    /**
     * @stability stable
     */
    set permissionSetArn(value: string);
    /**
     * @stability stable
     */
    get permissionSetArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
