import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BackupGlobalSettingsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly globalSettings: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class BackupGlobalSettings extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BackupGlobalSettingsConfig);
    private _globalSettings;
    /**
     * @stability stable
     */
    get globalSettings(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set globalSettings(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    get globalSettingsInput(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
