import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsLakeformationDataLakeSettingsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly catalogId?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsLakeformationDataLakeSettingsCreateDatabaseDefaultPermissions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get permissions(): string[];
    /**
     * @stability stable
     */
    get principal(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsLakeformationDataLakeSettingsCreateTableDefaultPermissions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get permissions(): string[];
    /**
     * @stability stable
     */
    get principal(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsLakeformationDataLakeSettings extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsLakeformationDataLakeSettingsConfig);
    /**
     * @stability stable
     */
    get admins(): string[];
    private _catalogId?;
    /**
     * @stability stable
     */
    get catalogId(): string;
    /**
     * @stability stable
     */
    set catalogId(value: string);
    /**
     * @stability stable
     */
    resetCatalogId(): void;
    /**
     * @stability stable
     */
    get catalogIdInput(): string | undefined;
    /**
     * @stability stable
     */
    createDatabaseDefaultPermissions(index: string): DataAwsLakeformationDataLakeSettingsCreateDatabaseDefaultPermissions;
    /**
     * @stability stable
     */
    createTableDefaultPermissions(index: string): DataAwsLakeformationDataLakeSettingsCreateTableDefaultPermissions;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get trustedResourceOwners(): string[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
