import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsRegionsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly allRegions?: boolean;
    /**
     * filter block.
     *
     * @stability stable
     */
    readonly filter?: DataAwsRegionsFilter[];
}
/**
 * @stability stable
 */
export interface DataAwsRegionsFilter {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly values: string[];
}
/**
 * @stability stable
 */
export declare class DataAwsRegions extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsRegionsConfig);
    private _allRegions?;
    /**
     * @stability stable
     */
    get allRegions(): boolean;
    /**
     * @stability stable
     */
    set allRegions(value: boolean);
    /**
     * @stability stable
     */
    resetAllRegions(): void;
    /**
     * @stability stable
     */
    get allRegionsInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get names(): string[];
    private _filter?;
    /**
     * @stability stable
     */
    get filter(): DataAwsRegionsFilter[];
    /**
     * @stability stable
     */
    set filter(value: DataAwsRegionsFilter[]);
    /**
     * @stability stable
     */
    resetFilter(): void;
    /**
     * @stability stable
     */
    get filterInput(): DataAwsRegionsFilter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
