import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsServerlessapplicationrepositoryApplicationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly applicationId: string;
    /**
     * @stability stable
     */
    readonly semanticVersion?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsServerlessapplicationrepositoryApplication extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsServerlessapplicationrepositoryApplicationConfig);
    private _applicationId;
    /**
     * @stability stable
     */
    get applicationId(): string;
    /**
     * @stability stable
     */
    set applicationId(value: string);
    /**
     * @stability stable
     */
    get applicationIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get requiredCapabilities(): string[];
    private _semanticVersion?;
    /**
     * @stability stable
     */
    get semanticVersion(): string;
    /**
     * @stability stable
     */
    set semanticVersion(value: string);
    /**
     * @stability stable
     */
    resetSemanticVersion(): void;
    /**
     * @stability stable
     */
    get semanticVersionInput(): string | undefined;
    /**
     * @stability stable
     */
    get sourceCodeUrl(): string;
    /**
     * @stability stable
     */
    get templateUrl(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
