import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsServicequotasServiceQuotaConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly quotaCode?: string;
    /**
     * @stability stable
     */
    readonly quotaName?: string;
    /**
     * @stability stable
     */
    readonly serviceCode: string;
}
/**
 * @stability stable
 */
export declare class DataAwsServicequotasServiceQuota extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsServicequotasServiceQuotaConfig);
    /**
     * @stability stable
     */
    get adjustable(): boolean;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get defaultValue(): number;
    /**
     * @stability stable
     */
    get globalQuota(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _quotaCode?;
    /**
     * @stability stable
     */
    get quotaCode(): string;
    /**
     * @stability stable
     */
    set quotaCode(value: string);
    /**
     * @stability stable
     */
    resetQuotaCode(): void;
    /**
     * @stability stable
     */
    get quotaCodeInput(): string | undefined;
    private _quotaName?;
    /**
     * @stability stable
     */
    get quotaName(): string;
    /**
     * @stability stable
     */
    set quotaName(value: string);
    /**
     * @stability stable
     */
    resetQuotaName(): void;
    /**
     * @stability stable
     */
    get quotaNameInput(): string | undefined;
    private _serviceCode;
    /**
     * @stability stable
     */
    get serviceCode(): string;
    /**
     * @stability stable
     */
    set serviceCode(value: string);
    /**
     * @stability stable
     */
    get serviceCodeInput(): string;
    /**
     * @stability stable
     */
    get serviceName(): string;
    /**
     * @stability stable
     */
    get value(): number;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
