import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsStoragegatewayLocalDiskConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly diskNode?: string;
    /**
     * @stability stable
     */
    readonly diskPath?: string;
    /**
     * @stability stable
     */
    readonly gatewayArn: string;
}
/**
 * @stability stable
 */
export declare class DataAwsStoragegatewayLocalDisk extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsStoragegatewayLocalDiskConfig);
    /**
     * @stability stable
     */
    get diskId(): string;
    private _diskNode?;
    /**
     * @stability stable
     */
    get diskNode(): string;
    /**
     * @stability stable
     */
    set diskNode(value: string);
    /**
     * @stability stable
     */
    resetDiskNode(): void;
    /**
     * @stability stable
     */
    get diskNodeInput(): string | undefined;
    private _diskPath?;
    /**
     * @stability stable
     */
    get diskPath(): string;
    /**
     * @stability stable
     */
    set diskPath(value: string);
    /**
     * @stability stable
     */
    resetDiskPath(): void;
    /**
     * @stability stable
     */
    get diskPathInput(): string | undefined;
    private _gatewayArn;
    /**
     * @stability stable
     */
    get gatewayArn(): string;
    /**
     * @stability stable
     */
    set gatewayArn(value: string);
    /**
     * @stability stable
     */
    get gatewayArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
