import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DxConnectionAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly connectionId: string;
    /**
     * @stability stable
     */
    readonly lagId: string;
}
/**
 * @stability stable
 */
export declare class DxConnectionAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DxConnectionAssociationConfig);
    private _connectionId;
    /**
     * @stability stable
     */
    get connectionId(): string;
    /**
     * @stability stable
     */
    set connectionId(value: string);
    /**
     * @stability stable
     */
    get connectionIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _lagId;
    /**
     * @stability stable
     */
    get lagId(): string;
    /**
     * @stability stable
     */
    set lagId(value: string);
    /**
     * @stability stable
     */
    get lagIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
