import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface EbsDefaultKmsKeyConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly keyArn: string;
}
/**
 * @stability stable
 */
export declare class EbsDefaultKmsKey extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: EbsDefaultKmsKeyConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _keyArn;
    /**
     * @stability stable
     */
    get keyArn(): string;
    /**
     * @stability stable
     */
    set keyArn(value: string);
    /**
     * @stability stable
     */
    get keyArnInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
