import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface GuarddutyOrganizationConfigurationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoEnable: boolean;
    /**
     * @stability stable
     */
    readonly detectorId: string;
}
/**
 * @stability stable
 */
export declare class GuarddutyOrganizationConfiguration extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: GuarddutyOrganizationConfigurationConfig);
    private _autoEnable;
    /**
     * @stability stable
     */
    get autoEnable(): boolean;
    /**
     * @stability stable
     */
    set autoEnable(value: boolean);
    /**
     * @stability stable
     */
    get autoEnableInput(): boolean;
    private _detectorId;
    /**
     * @stability stable
     */
    get detectorId(): string;
    /**
     * @stability stable
     */
    set detectorId(value: string);
    /**
     * @stability stable
     */
    get detectorIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
