import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface IamAccountAliasConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accountAlias: string;
}
/**
 * @stability stable
 */
export declare class IamAccountAlias extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: IamAccountAliasConfig);
    private _accountAlias;
    /**
     * @stability stable
     */
    get accountAlias(): string;
    /**
     * @stability stable
     */
    set accountAlias(value: string);
    /**
     * @stability stable
     */
    get accountAliasInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
