export * from './accessanalyzer-analyzer';
export * from './acm-certificate';
export * from './acm-certificate-validation';
export * from './acmpca-certificate';
export * from './acmpca-certificate-authority';
export * from './acmpca-certificate-authority-certificate';
export * from './alb';
export * from './alb-listener';
export * from './alb-listener-certificate';
export * from './alb-listener-rule';
export * from './alb-target-group';
export * from './alb-target-group-attachment';
export * from './ami';
export * from './ami-copy';
export * from './ami-from-instance';
export * from './ami-launch-permission';
export * from './api-gateway-account';
export * from './api-gateway-api-key';
export * from './api-gateway-authorizer';
export * from './api-gateway-base-path-mapping';
export * from './api-gateway-client-certificate';
export * from './api-gateway-deployment';
export * from './api-gateway-documentation-part';
export * from './api-gateway-documentation-version';
export * from './api-gateway-domain-name';
export * from './api-gateway-gateway-response';
export * from './api-gateway-integration';
export * from './api-gateway-integration-response';
export * from './api-gateway-method';
export * from './api-gateway-method-response';
export * from './api-gateway-method-settings';
export * from './api-gateway-model';
export * from './api-gateway-request-validator';
export * from './api-gateway-resource';
export * from './api-gateway-rest-api';
export * from './api-gateway-rest-api-policy';
export * from './api-gateway-stage';
export * from './api-gateway-usage-plan';
export * from './api-gateway-usage-plan-key';
export * from './api-gateway-vpc-link';
export * from './apigatewayv2-api';
export * from './apigatewayv2-api-mapping';
export * from './apigatewayv2-authorizer';
export * from './apigatewayv2-deployment';
export * from './apigatewayv2-domain-name';
export * from './apigatewayv2-integration';
export * from './apigatewayv2-integration-response';
export * from './apigatewayv2-model';
export * from './apigatewayv2-route';
export * from './apigatewayv2-route-response';
export * from './apigatewayv2-stage';
export * from './apigatewayv2-vpc-link';
export * from './app-cookie-stickiness-policy';
export * from './appautoscaling-policy';
export * from './appautoscaling-scheduled-action';
export * from './appautoscaling-target';
export * from './appmesh-gateway-route';
export * from './appmesh-mesh';
export * from './appmesh-route';
export * from './appmesh-virtual-gateway';
export * from './appmesh-virtual-node';
export * from './appmesh-virtual-router';
export * from './appmesh-virtual-service';
export * from './appsync-api-key';
export * from './appsync-datasource';
export * from './appsync-function';
export * from './appsync-graphql-api';
export * from './appsync-resolver';
export * from './athena-database';
export * from './athena-named-query';
export * from './athena-workgroup';
export * from './autoscaling-attachment';
export * from './autoscaling-group';
export * from './autoscaling-lifecycle-hook';
export * from './autoscaling-notification';
export * from './autoscaling-policy';
export * from './autoscaling-schedule';
export * from './autoscalingplans-scaling-plan';
export * from './backup-global-settings';
export * from './backup-plan';
export * from './backup-region-settings';
export * from './backup-selection';
export * from './backup-vault';
export * from './backup-vault-notifications';
export * from './backup-vault-policy';
export * from './batch-compute-environment';
export * from './batch-job-definition';
export * from './batch-job-queue';
export * from './budgets-budget';
export * from './cloud9-environment-ec2';
export * from './cloudformation-stack';
export * from './cloudformation-stack-set';
export * from './cloudformation-stack-set-instance';
export * from './cloudfront-cache-policy';
export * from './cloudfront-distribution';
export * from './cloudfront-origin-access-identity';
export * from './cloudfront-origin-request-policy';
export * from './cloudfront-public-key';
export * from './cloudfront-realtime-log-config';
export * from './cloudhsm-v2-cluster';
export * from './cloudhsm-v2-hsm';
export * from './cloudtrail';
export * from './cloudwatch-composite-alarm';
export * from './cloudwatch-dashboard';
export * from './cloudwatch-event-archive';
export * from './cloudwatch-event-bus';
export * from './cloudwatch-event-permission';
export * from './cloudwatch-event-rule';
export * from './cloudwatch-event-target';
export * from './cloudwatch-log-destination';
export * from './cloudwatch-log-destination-policy';
export * from './cloudwatch-log-group';
export * from './cloudwatch-log-metric-filter';
export * from './cloudwatch-log-resource-policy';
export * from './cloudwatch-log-stream';
export * from './cloudwatch-log-subscription-filter';
export * from './cloudwatch-metric-alarm';
export * from './codeartifact-domain';
export * from './codeartifact-domain-permissions-policy';
export * from './codeartifact-repository';
export * from './codeartifact-repository-permissions-policy';
export * from './codebuild-project';
export * from './codebuild-report-group';
export * from './codebuild-source-credential';
export * from './codebuild-webhook';
export * from './codecommit-repository';
export * from './codecommit-trigger';
export * from './codedeploy-app';
export * from './codedeploy-deployment-config';
export * from './codedeploy-deployment-group';
export * from './codepipeline';
export * from './codepipeline-webhook';
export * from './codestarconnections-connection';
export * from './codestarnotifications-notification-rule';
export * from './cognito-identity-pool';
export * from './cognito-identity-pool-roles-attachment';
export * from './cognito-identity-provider';
export * from './cognito-resource-server';
export * from './cognito-user-group';
export * from './cognito-user-pool';
export * from './cognito-user-pool-client';
export * from './cognito-user-pool-domain';
export * from './cognito-user-pool-ui-customization';
export * from './config-aggregate-authorization';
export * from './config-config-rule';
export * from './config-configuration-aggregator';
export * from './config-configuration-recorder';
export * from './config-configuration-recorder-status';
export * from './config-conformance-pack';
export * from './config-delivery-channel';
export * from './config-organization-custom-rule';
export * from './config-organization-managed-rule';
export * from './config-remediation-configuration';
export * from './cur-report-definition';
export * from './customer-gateway';
export * from './datapipeline-pipeline';
export * from './datasync-agent';
export * from './datasync-location-efs';
export * from './datasync-location-fsx-windows-file-system';
export * from './datasync-location-nfs';
export * from './datasync-location-s3';
export * from './datasync-location-smb';
export * from './datasync-task';
export * from './dax-cluster';
export * from './dax-parameter-group';
export * from './dax-subnet-group';
export * from './db-cluster-snapshot';
export * from './db-event-subscription';
export * from './db-instance';
export * from './db-instance-role-association';
export * from './db-option-group';
export * from './db-parameter-group';
export * from './db-proxy';
export * from './db-proxy-default-target-group';
export * from './db-proxy-target';
export * from './db-security-group';
export * from './db-snapshot';
export * from './db-subnet-group';
export * from './default-network-acl';
export * from './default-route-table';
export * from './default-security-group';
export * from './default-subnet';
export * from './default-vpc';
export * from './default-vpc-dhcp-options';
export * from './devicefarm-project';
export * from './directory-service-conditional-forwarder';
export * from './directory-service-directory';
export * from './directory-service-log-subscription';
export * from './dlm-lifecycle-policy';
export * from './dms-certificate';
export * from './dms-endpoint';
export * from './dms-event-subscription';
export * from './dms-replication-instance';
export * from './dms-replication-subnet-group';
export * from './dms-replication-task';
export * from './docdb-cluster';
export * from './docdb-cluster-instance';
export * from './docdb-cluster-parameter-group';
export * from './docdb-cluster-snapshot';
export * from './docdb-subnet-group';
export * from './dx-bgp-peer';
export * from './dx-connection';
export * from './dx-connection-association';
export * from './dx-gateway';
export * from './dx-gateway-association';
export * from './dx-gateway-association-proposal';
export * from './dx-hosted-private-virtual-interface';
export * from './dx-hosted-private-virtual-interface-accepter';
export * from './dx-hosted-public-virtual-interface';
export * from './dx-hosted-public-virtual-interface-accepter';
export * from './dx-hosted-transit-virtual-interface';
export * from './dx-hosted-transit-virtual-interface-accepter';
export * from './dx-lag';
export * from './dx-private-virtual-interface';
export * from './dx-public-virtual-interface';
export * from './dx-transit-virtual-interface';
export * from './dynamodb-global-table';
export * from './dynamodb-table';
export * from './dynamodb-table-item';
export * from './ebs-default-kms-key';
export * from './ebs-encryption-by-default';
export * from './ebs-snapshot';
export * from './ebs-snapshot-copy';
export * from './ebs-volume';
export * from './ec2-availability-zone-group';
export * from './ec2-capacity-reservation';
export * from './ec2-carrier-gateway';
export * from './ec2-client-vpn-authorization-rule';
export * from './ec2-client-vpn-endpoint';
export * from './ec2-client-vpn-network-association';
export * from './ec2-client-vpn-route';
export * from './ec2-fleet';
export * from './ec2-local-gateway-route';
export * from './ec2-local-gateway-route-table-vpc-association';
export * from './ec2-managed-prefix-list';
export * from './ec2-tag';
export * from './ec2-traffic-mirror-filter';
export * from './ec2-traffic-mirror-filter-rule';
export * from './ec2-traffic-mirror-session';
export * from './ec2-traffic-mirror-target';
export * from './ec2-transit-gateway';
export * from './ec2-transit-gateway-peering-attachment';
export * from './ec2-transit-gateway-peering-attachment-accepter';
export * from './ec2-transit-gateway-prefix-list-reference';
export * from './ec2-transit-gateway-route';
export * from './ec2-transit-gateway-route-table';
export * from './ec2-transit-gateway-route-table-association';
export * from './ec2-transit-gateway-route-table-propagation';
export * from './ec2-transit-gateway-vpc-attachment';
export * from './ec2-transit-gateway-vpc-attachment-accepter';
export * from './ecr-lifecycle-policy';
export * from './ecr-repository';
export * from './ecr-repository-policy';
export * from './ecrpublic-repository';
export * from './ecs-capacity-provider';
export * from './ecs-cluster';
export * from './ecs-service';
export * from './ecs-task-definition';
export * from './efs-access-point';
export * from './efs-file-system';
export * from './efs-file-system-policy';
export * from './efs-mount-target';
export * from './egress-only-internet-gateway';
export * from './eip';
export * from './eip-association';
export * from './eks-cluster';
export * from './eks-fargate-profile';
export * from './eks-node-group';
export * from './elastic-beanstalk-application';
export * from './elastic-beanstalk-application-version';
export * from './elastic-beanstalk-configuration-template';
export * from './elastic-beanstalk-environment';
export * from './elasticache-cluster';
export * from './elasticache-global-replication-group';
export * from './elasticache-parameter-group';
export * from './elasticache-replication-group';
export * from './elasticache-security-group';
export * from './elasticache-subnet-group';
export * from './elasticsearch-domain';
export * from './elasticsearch-domain-policy';
export * from './elastictranscoder-pipeline';
export * from './elastictranscoder-preset';
export * from './elb';
export * from './elb-attachment';
export * from './emr-cluster';
export * from './emr-instance-fleet';
export * from './emr-instance-group';
export * from './emr-managed-scaling-policy';
export * from './emr-security-configuration';
export * from './flow-log';
export * from './fms-admin-account';
export * from './fms-policy';
export * from './fsx-lustre-file-system';
export * from './fsx-windows-file-system';
export * from './gamelift-alias';
export * from './gamelift-build';
export * from './gamelift-fleet';
export * from './gamelift-game-session-queue';
export * from './glacier-vault';
export * from './glacier-vault-lock';
export * from './globalaccelerator-accelerator';
export * from './globalaccelerator-endpoint-group';
export * from './globalaccelerator-listener';
export * from './glue-catalog-database';
export * from './glue-catalog-table';
export * from './glue-classifier';
export * from './glue-connection';
export * from './glue-crawler';
export * from './glue-data-catalog-encryption-settings';
export * from './glue-dev-endpoint';
export * from './glue-job';
export * from './glue-ml-transform';
export * from './glue-partition';
export * from './glue-registry';
export * from './glue-resource-policy';
export * from './glue-schema';
export * from './glue-security-configuration';
export * from './glue-trigger';
export * from './glue-user-defined-function';
export * from './glue-workflow';
export * from './guardduty-detector';
export * from './guardduty-filter';
export * from './guardduty-invite-accepter';
export * from './guardduty-ipset';
export * from './guardduty-member';
export * from './guardduty-organization-admin-account';
export * from './guardduty-organization-configuration';
export * from './guardduty-publishing-destination';
export * from './guardduty-threatintelset';
export * from './iam-access-key';
export * from './iam-account-alias';
export * from './iam-account-password-policy';
export * from './iam-group';
export * from './iam-group-membership';
export * from './iam-group-policy';
export * from './iam-group-policy-attachment';
export * from './iam-instance-profile';
export * from './iam-openid-connect-provider';
export * from './iam-policy';
export * from './iam-policy-attachment';
export * from './iam-role';
export * from './iam-role-policy';
export * from './iam-role-policy-attachment';
export * from './iam-saml-provider';
export * from './iam-server-certificate';
export * from './iam-service-linked-role';
export * from './iam-user';
export * from './iam-user-group-membership';
export * from './iam-user-login-profile';
export * from './iam-user-policy';
export * from './iam-user-policy-attachment';
export * from './iam-user-ssh-key';
export * from './imagebuilder-component';
export * from './imagebuilder-distribution-configuration';
export * from './imagebuilder-image';
export * from './imagebuilder-image-pipeline';
export * from './imagebuilder-image-recipe';
export * from './imagebuilder-infrastructure-configuration';
export * from './inspector-assessment-target';
export * from './inspector-assessment-template';
export * from './inspector-resource-group';
export * from './instance';
export * from './internet-gateway';
export * from './iot-certificate';
export * from './iot-policy';
export * from './iot-policy-attachment';
export * from './iot-role-alias';
export * from './iot-thing';
export * from './iot-thing-principal-attachment';
export * from './iot-thing-type';
export * from './iot-topic-rule';
export * from './key-pair';
export * from './kinesis-analytics-application';
export * from './kinesis-firehose-delivery-stream';
export * from './kinesis-stream';
export * from './kinesis-stream-consumer';
export * from './kinesis-video-stream';
export * from './kinesisanalyticsv2-application';
export * from './kms-alias';
export * from './kms-ciphertext';
export * from './kms-external-key';
export * from './kms-grant';
export * from './kms-key';
export * from './lakeformation-data-lake-settings';
export * from './lakeformation-permissions';
export * from './lakeformation-resource';
export * from './lambda-alias';
export * from './lambda-code-signing-config';
export * from './lambda-event-source-mapping';
export * from './lambda-function';
export * from './lambda-function-event-invoke-config';
export * from './lambda-layer-version';
export * from './lambda-permission';
export * from './lambda-provisioned-concurrency-config';
export * from './launch-configuration';
export * from './launch-template';
export * from './lb';
export * from './lb-cookie-stickiness-policy';
export * from './lb-listener';
export * from './lb-listener-certificate';
export * from './lb-listener-rule';
export * from './lb-ssl-negotiation-policy';
export * from './lb-target-group';
export * from './lb-target-group-attachment';
export * from './lex-bot';
export * from './lex-bot-alias';
export * from './lex-intent';
export * from './lex-slot-type';
export * from './licensemanager-association';
export * from './licensemanager-license-configuration';
export * from './lightsail-domain';
export * from './lightsail-instance';
export * from './lightsail-key-pair';
export * from './lightsail-static-ip';
export * from './lightsail-static-ip-attachment';
export * from './load-balancer-backend-server-policy';
export * from './load-balancer-listener-policy';
export * from './load-balancer-policy';
export * from './macie-member-account-association';
export * from './macie-s3-bucket-association';
export * from './main-route-table-association';
export * from './media-convert-queue';
export * from './media-package-channel';
export * from './media-store-container';
export * from './media-store-container-policy';
export * from './mq-broker';
export * from './mq-configuration';
export * from './msk-cluster';
export * from './msk-configuration';
export * from './msk-scram-secret-association';
export * from './nat-gateway';
export * from './neptune-cluster';
export * from './neptune-cluster-instance';
export * from './neptune-cluster-parameter-group';
export * from './neptune-cluster-snapshot';
export * from './neptune-event-subscription';
export * from './neptune-parameter-group';
export * from './neptune-subnet-group';
export * from './network-acl';
export * from './network-acl-rule';
export * from './network-interface';
export * from './network-interface-attachment';
export * from './network-interface-sg-attachment';
export * from './networkfirewall-firewall';
export * from './networkfirewall-firewall-policy';
export * from './networkfirewall-logging-configuration';
export * from './networkfirewall-resource-policy';
export * from './networkfirewall-rule-group';
export * from './opsworks-application';
export * from './opsworks-custom-layer';
export * from './opsworks-ganglia-layer';
export * from './opsworks-haproxy-layer';
export * from './opsworks-instance';
export * from './opsworks-java-app-layer';
export * from './opsworks-memcached-layer';
export * from './opsworks-mysql-layer';
export * from './opsworks-nodejs-app-layer';
export * from './opsworks-permission';
export * from './opsworks-php-app-layer';
export * from './opsworks-rails-app-layer';
export * from './opsworks-rds-db-instance';
export * from './opsworks-stack';
export * from './opsworks-static-web-layer';
export * from './opsworks-user-profile';
export * from './organizations-account';
export * from './organizations-organization';
export * from './organizations-organizational-unit';
export * from './organizations-policy';
export * from './organizations-policy-attachment';
export * from './pinpoint-adm-channel';
export * from './pinpoint-apns-channel';
export * from './pinpoint-apns-sandbox-channel';
export * from './pinpoint-apns-voip-channel';
export * from './pinpoint-apns-voip-sandbox-channel';
export * from './pinpoint-app';
export * from './pinpoint-baidu-channel';
export * from './pinpoint-email-channel';
export * from './pinpoint-event-stream';
export * from './pinpoint-gcm-channel';
export * from './pinpoint-sms-channel';
export * from './placement-group';
export * from './prometheus-workspace';
export * from './proxy-protocol-policy';
export * from './qldb-ledger';
export * from './quicksight-group';
export * from './quicksight-user';
export * from './ram-principal-association';
export * from './ram-resource-association';
export * from './ram-resource-share';
export * from './ram-resource-share-accepter';
export * from './rds-cluster';
export * from './rds-cluster-endpoint';
export * from './rds-cluster-instance';
export * from './rds-cluster-parameter-group';
export * from './rds-global-cluster';
export * from './redshift-cluster';
export * from './redshift-event-subscription';
export * from './redshift-parameter-group';
export * from './redshift-security-group';
export * from './redshift-snapshot-copy-grant';
export * from './redshift-snapshot-schedule';
export * from './redshift-snapshot-schedule-association';
export * from './redshift-subnet-group';
export * from './resourcegroups-group';
export * from './route';
export * from './route53-delegation-set';
export * from './route53-health-check';
export * from './route53-hosted-zone-dnssec';
export * from './route53-key-signing-key';
export * from './route53-query-log';
export * from './route53-record';
export * from './route53-resolver-dnssec-config';
export * from './route53-resolver-endpoint';
export * from './route53-resolver-query-log-config';
export * from './route53-resolver-query-log-config-association';
export * from './route53-resolver-rule';
export * from './route53-resolver-rule-association';
export * from './route53-vpc-association-authorization';
export * from './route53-zone';
export * from './route53-zone-association';
export * from './route-table';
export * from './route-table-association';
export * from './s3-access-point';
export * from './s3-account-public-access-block';
export * from './s3-bucket';
export * from './s3-bucket-analytics-configuration';
export * from './s3-bucket-inventory';
export * from './s3-bucket-metric';
export * from './s3-bucket-notification';
export * from './s3-bucket-object';
export * from './s3-bucket-ownership-controls';
export * from './s3-bucket-policy';
export * from './s3-bucket-public-access-block';
export * from './s3-object-copy';
export * from './s3control-bucket';
export * from './s3control-bucket-lifecycle-configuration';
export * from './s3control-bucket-policy';
export * from './s3outposts-endpoint';
export * from './sagemaker-app';
export * from './sagemaker-app-image-config';
export * from './sagemaker-code-repository';
export * from './sagemaker-domain';
export * from './sagemaker-endpoint';
export * from './sagemaker-endpoint-configuration';
export * from './sagemaker-feature-group';
export * from './sagemaker-image';
export * from './sagemaker-image-version';
export * from './sagemaker-model';
export * from './sagemaker-model-package-group';
export * from './sagemaker-notebook-instance';
export * from './sagemaker-notebook-instance-lifecycle-configuration';
export * from './sagemaker-user-profile';
export * from './secretsmanager-secret';
export * from './secretsmanager-secret-policy';
export * from './secretsmanager-secret-rotation';
export * from './secretsmanager-secret-version';
export * from './security-group';
export * from './security-group-rule';
export * from './securityhub-account';
export * from './securityhub-action-target';
export * from './securityhub-invite-accepter';
export * from './securityhub-member';
export * from './securityhub-organization-admin-account';
export * from './securityhub-product-subscription';
export * from './securityhub-standards-subscription';
export * from './serverlessapplicationrepository-cloudformation-stack';
export * from './service-discovery-http-namespace';
export * from './service-discovery-private-dns-namespace';
export * from './service-discovery-public-dns-namespace';
export * from './service-discovery-service';
export * from './servicecatalog-portfolio';
export * from './servicequotas-service-quota';
export * from './ses-active-receipt-rule-set';
export * from './ses-configuration-set';
export * from './ses-domain-dkim';
export * from './ses-domain-identity';
export * from './ses-domain-identity-verification';
export * from './ses-domain-mail-from';
export * from './ses-email-identity';
export * from './ses-event-destination';
export * from './ses-identity-notification-topic';
export * from './ses-identity-policy';
export * from './ses-receipt-filter';
export * from './ses-receipt-rule';
export * from './ses-receipt-rule-set';
export * from './ses-template';
export * from './sfn-activity';
export * from './sfn-state-machine';
export * from './shield-protection';
export * from './signer-signing-job';
export * from './signer-signing-profile';
export * from './signer-signing-profile-permission';
export * from './simpledb-domain';
export * from './snapshot-create-volume-permission';
export * from './sns-platform-application';
export * from './sns-sms-preferences';
export * from './sns-topic';
export * from './sns-topic-policy';
export * from './sns-topic-subscription';
export * from './spot-datafeed-subscription';
export * from './spot-fleet-request';
export * from './spot-instance-request';
export * from './sqs-queue';
export * from './sqs-queue-policy';
export * from './ssm-activation';
export * from './ssm-association';
export * from './ssm-document';
export * from './ssm-maintenance-window';
export * from './ssm-maintenance-window-target';
export * from './ssm-maintenance-window-task';
export * from './ssm-parameter';
export * from './ssm-patch-baseline';
export * from './ssm-patch-group';
export * from './ssm-resource-data-sync';
export * from './ssoadmin-account-assignment';
export * from './ssoadmin-managed-policy-attachment';
export * from './ssoadmin-permission-set';
export * from './ssoadmin-permission-set-inline-policy';
export * from './storagegateway-cache';
export * from './storagegateway-cached-iscsi-volume';
export * from './storagegateway-gateway';
export * from './storagegateway-nfs-file-share';
export * from './storagegateway-smb-file-share';
export * from './storagegateway-stored-iscsi-volume';
export * from './storagegateway-tape-pool';
export * from './storagegateway-upload-buffer';
export * from './storagegateway-working-storage';
export * from './subnet';
export * from './swf-domain';
export * from './synthetics-canary';
export * from './transfer-server';
export * from './transfer-ssh-key';
export * from './transfer-user';
export * from './volume-attachment';
export * from './vpc';
export * from './vpc-dhcp-options';
export * from './vpc-dhcp-options-association';
export * from './vpc-endpoint';
export * from './vpc-endpoint-connection-notification';
export * from './vpc-endpoint-route-table-association';
export * from './vpc-endpoint-service';
export * from './vpc-endpoint-service-allowed-principal';
export * from './vpc-endpoint-subnet-association';
export * from './vpc-ipv4-cidr-block-association';
export * from './vpc-peering-connection';
export * from './vpc-peering-connection-accepter';
export * from './vpc-peering-connection-options';
export * from './vpn-connection';
export * from './vpn-connection-route';
export * from './vpn-gateway';
export * from './vpn-gateway-attachment';
export * from './vpn-gateway-route-propagation';
export * from './waf-byte-match-set';
export * from './waf-geo-match-set';
export * from './waf-ipset';
export * from './waf-rate-based-rule';
export * from './waf-regex-match-set';
export * from './waf-regex-pattern-set';
export * from './waf-rule';
export * from './waf-rule-group';
export * from './waf-size-constraint-set';
export * from './waf-sql-injection-match-set';
export * from './waf-web-acl';
export * from './waf-xss-match-set';
export * from './wafregional-byte-match-set';
export * from './wafregional-geo-match-set';
export * from './wafregional-ipset';
export * from './wafregional-rate-based-rule';
export * from './wafregional-regex-match-set';
export * from './wafregional-regex-pattern-set';
export * from './wafregional-rule';
export * from './wafregional-rule-group';
export * from './wafregional-size-constraint-set';
export * from './wafregional-sql-injection-match-set';
export * from './wafregional-web-acl';
export * from './wafregional-web-acl-association';
export * from './wafregional-xss-match-set';
export * from './wafv2-ip-set';
export * from './wafv2-regex-pattern-set';
export * from './wafv2-rule-group';
export * from './wafv2-web-acl';
export * from './wafv2-web-acl-association';
export * from './wafv2-web-acl-logging-configuration';
export * from './worklink-fleet';
export * from './worklink-website-certificate-authority-association';
export * from './workspaces-directory';
export * from './workspaces-ip-group';
export * from './workspaces-workspace';
export * from './xray-encryption-config';
export * from './xray-group';
export * from './xray-sampling-rule';
export * from './data-aws-acm-certificate';
export * from './data-aws-acmpca-certificate';
export * from './data-aws-acmpca-certificate-authority';
export * from './data-aws-alb';
export * from './data-aws-alb-listener';
export * from './data-aws-alb-target-group';
export * from './data-aws-ami';
export * from './data-aws-ami-ids';
export * from './data-aws-api-gateway-api-key';
export * from './data-aws-api-gateway-domain-name';
export * from './data-aws-api-gateway-resource';
export * from './data-aws-api-gateway-rest-api';
export * from './data-aws-api-gateway-vpc-link';
export * from './data-aws-apigatewayv2-api';
export * from './data-aws-apigatewayv2-apis';
export * from './data-aws-arn';
export * from './data-aws-autoscaling-group';
export * from './data-aws-autoscaling-groups';
export * from './data-aws-availability-zone';
export * from './data-aws-availability-zones';
export * from './data-aws-backup-plan';
export * from './data-aws-backup-selection';
export * from './data-aws-backup-vault';
export * from './data-aws-batch-compute-environment';
export * from './data-aws-batch-job-queue';
export * from './data-aws-billing-service-account';
export * from './data-aws-caller-identity';
export * from './data-aws-canonical-user-id';
export * from './data-aws-cloudformation-export';
export * from './data-aws-cloudformation-stack';
export * from './data-aws-cloudfront-cache-policy';
export * from './data-aws-cloudfront-distribution';
export * from './data-aws-cloudfront-origin-request-policy';
export * from './data-aws-cloudhsm-v2-cluster';
export * from './data-aws-cloudtrail-service-account';
export * from './data-aws-cloudwatch-log-group';
export * from './data-aws-codeartifact-authorization-token';
export * from './data-aws-codeartifact-repository-endpoint';
export * from './data-aws-codecommit-repository';
export * from './data-aws-cognito-user-pools';
export * from './data-aws-cur-report-definition';
export * from './data-aws-customer-gateway';
export * from './data-aws-db-cluster-snapshot';
export * from './data-aws-db-event-categories';
export * from './data-aws-db-instance';
export * from './data-aws-db-snapshot';
export * from './data-aws-db-subnet-group';
export * from './data-aws-directory-service-directory';
export * from './data-aws-docdb-engine-version';
export * from './data-aws-docdb-orderable-db-instance';
export * from './data-aws-dx-gateway';
export * from './data-aws-dynamodb-table';
export * from './data-aws-ebs-default-kms-key';
export * from './data-aws-ebs-encryption-by-default';
export * from './data-aws-ebs-snapshot';
export * from './data-aws-ebs-snapshot-ids';
export * from './data-aws-ebs-volume';
export * from './data-aws-ebs-volumes';
export * from './data-aws-ec2-coip-pool';
export * from './data-aws-ec2-coip-pools';
export * from './data-aws-ec2-instance-type';
export * from './data-aws-ec2-instance-type-offering';
export * from './data-aws-ec2-instance-type-offerings';
export * from './data-aws-ec2-local-gateway';
export * from './data-aws-ec2-local-gateway-route-table';
export * from './data-aws-ec2-local-gateway-route-tables';
export * from './data-aws-ec2-local-gateway-virtual-interface';
export * from './data-aws-ec2-local-gateway-virtual-interface-group';
export * from './data-aws-ec2-local-gateway-virtual-interface-groups';
export * from './data-aws-ec2-local-gateways';
export * from './data-aws-ec2-managed-prefix-list';
export * from './data-aws-ec2-spot-price';
export * from './data-aws-ec2-transit-gateway';
export * from './data-aws-ec2-transit-gateway-dx-gateway-attachment';
export * from './data-aws-ec2-transit-gateway-peering-attachment';
export * from './data-aws-ec2-transit-gateway-route-table';
export * from './data-aws-ec2-transit-gateway-route-tables';
export * from './data-aws-ec2-transit-gateway-vpc-attachment';
export * from './data-aws-ec2-transit-gateway-vpn-attachment';
export * from './data-aws-ecr-authorization-token';
export * from './data-aws-ecr-image';
export * from './data-aws-ecr-repository';
export * from './data-aws-ecs-cluster';
export * from './data-aws-ecs-container-definition';
export * from './data-aws-ecs-service';
export * from './data-aws-ecs-task-definition';
export * from './data-aws-efs-access-point';
export * from './data-aws-efs-access-points';
export * from './data-aws-efs-file-system';
export * from './data-aws-efs-mount-target';
export * from './data-aws-eip';
export * from './data-aws-eks-cluster';
export * from './data-aws-eks-cluster-auth';
export * from './data-aws-elastic-beanstalk-application';
export * from './data-aws-elastic-beanstalk-hosted-zone';
export * from './data-aws-elastic-beanstalk-solution-stack';
export * from './data-aws-elasticache-cluster';
export * from './data-aws-elasticache-replication-group';
export * from './data-aws-elasticsearch-domain';
export * from './data-aws-elb';
export * from './data-aws-elb-hosted-zone-id';
export * from './data-aws-elb-service-account';
export * from './data-aws-glue-script';
export * from './data-aws-guardduty-detector';
export * from './data-aws-iam-account-alias';
export * from './data-aws-iam-group';
export * from './data-aws-iam-instance-profile';
export * from './data-aws-iam-policy';
export * from './data-aws-iam-policy-document';
export * from './data-aws-iam-role';
export * from './data-aws-iam-server-certificate';
export * from './data-aws-iam-user';
export * from './data-aws-identitystore-group';
export * from './data-aws-identitystore-user';
export * from './data-aws-imagebuilder-component';
export * from './data-aws-imagebuilder-distribution-configuration';
export * from './data-aws-imagebuilder-image';
export * from './data-aws-imagebuilder-image-pipeline';
export * from './data-aws-imagebuilder-image-recipe';
export * from './data-aws-imagebuilder-infrastructure-configuration';
export * from './data-aws-inspector-rules-packages';
export * from './data-aws-instance';
export * from './data-aws-instances';
export * from './data-aws-internet-gateway';
export * from './data-aws-iot-endpoint';
export * from './data-aws-ip-ranges';
export * from './data-aws-kinesis-stream';
export * from './data-aws-kinesis-stream-consumer';
export * from './data-aws-kms-alias';
export * from './data-aws-kms-ciphertext';
export * from './data-aws-kms-key';
export * from './data-aws-kms-secret';
export * from './data-aws-kms-secrets';
export * from './data-aws-lakeformation-data-lake-settings';
export * from './data-aws-lakeformation-permissions';
export * from './data-aws-lakeformation-resource';
export * from './data-aws-lambda-alias';
export * from './data-aws-lambda-code-signing-config';
export * from './data-aws-lambda-function';
export * from './data-aws-lambda-invocation';
export * from './data-aws-lambda-layer-version';
export * from './data-aws-launch-configuration';
export * from './data-aws-launch-template';
export * from './data-aws-lb';
export * from './data-aws-lb-listener';
export * from './data-aws-lb-target-group';
export * from './data-aws-lex-bot';
export * from './data-aws-lex-bot-alias';
export * from './data-aws-lex-intent';
export * from './data-aws-lex-slot-type';
export * from './data-aws-mq-broker';
export * from './data-aws-msk-cluster';
export * from './data-aws-msk-configuration';
export * from './data-aws-nat-gateway';
export * from './data-aws-neptune-engine-version';
export * from './data-aws-neptune-orderable-db-instance';
export * from './data-aws-network-acls';
export * from './data-aws-network-interface';
export * from './data-aws-network-interfaces';
export * from './data-aws-organizations-organization';
export * from './data-aws-organizations-organizational-units';
export * from './data-aws-outposts-outpost';
export * from './data-aws-outposts-outpost-instance-type';
export * from './data-aws-outposts-outpost-instance-types';
export * from './data-aws-outposts-outposts';
export * from './data-aws-outposts-site';
export * from './data-aws-outposts-sites';
export * from './data-aws-partition';
export * from './data-aws-prefix-list';
export * from './data-aws-pricing-product';
export * from './data-aws-qldb-ledger';
export * from './data-aws-ram-resource-share';
export * from './data-aws-rds-certificate';
export * from './data-aws-rds-cluster';
export * from './data-aws-rds-engine-version';
export * from './data-aws-rds-orderable-db-instance';
export * from './data-aws-redshift-cluster';
export * from './data-aws-redshift-orderable-cluster';
export * from './data-aws-redshift-service-account';
export * from './data-aws-region';
export * from './data-aws-regions';
export * from './data-aws-route';
export * from './data-aws-route53-delegation-set';
export * from './data-aws-route53-resolver-endpoint';
export * from './data-aws-route53-resolver-rule';
export * from './data-aws-route53-resolver-rules';
export * from './data-aws-route53-zone';
export * from './data-aws-route-table';
export * from './data-aws-route-tables';
export * from './data-aws-s3-bucket';
export * from './data-aws-s3-bucket-object';
export * from './data-aws-s3-bucket-objects';
export * from './data-aws-sagemaker-prebuilt-ecr-image';
export * from './data-aws-secretsmanager-secret';
export * from './data-aws-secretsmanager-secret-rotation';
export * from './data-aws-secretsmanager-secret-version';
export * from './data-aws-security-group';
export * from './data-aws-security-groups';
export * from './data-aws-serverlessapplicationrepository-application';
export * from './data-aws-servicequotas-service';
export * from './data-aws-servicequotas-service-quota';
export * from './data-aws-sfn-activity';
export * from './data-aws-sfn-state-machine';
export * from './data-aws-signer-signing-job';
export * from './data-aws-signer-signing-profile';
export * from './data-aws-sns-topic';
export * from './data-aws-sqs-queue';
export * from './data-aws-ssm-document';
export * from './data-aws-ssm-parameter';
export * from './data-aws-ssm-patch-baseline';
export * from './data-aws-ssoadmin-instances';
export * from './data-aws-ssoadmin-permission-set';
export * from './data-aws-storagegateway-local-disk';
export * from './data-aws-subnet';
export * from './data-aws-subnet-ids';
export * from './data-aws-transfer-server';
export * from './data-aws-vpc';
export * from './data-aws-vpc-dhcp-options';
export * from './data-aws-vpc-endpoint';
export * from './data-aws-vpc-endpoint-service';
export * from './data-aws-vpc-peering-connection';
export * from './data-aws-vpc-peering-connections';
export * from './data-aws-vpcs';
export * from './data-aws-vpn-gateway';
export * from './data-aws-waf-ipset';
export * from './data-aws-waf-rate-based-rule';
export * from './data-aws-waf-rule';
export * from './data-aws-waf-web-acl';
export * from './data-aws-wafregional-ipset';
export * from './data-aws-wafregional-rate-based-rule';
export * from './data-aws-wafregional-rule';
export * from './data-aws-wafregional-web-acl';
export * from './data-aws-wafv2-ip-set';
export * from './data-aws-wafv2-regex-pattern-set';
export * from './data-aws-wafv2-rule-group';
export * from './data-aws-wafv2-web-acl';
export * from './data-aws-workspaces-bundle';
export * from './data-aws-workspaces-directory';
export * from './data-aws-workspaces-image';
export * from './data-aws-workspaces-workspace';
export * from './aws-provider';
