import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LightsailStaticIpAttachmentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly instanceName: string;
    /**
     * @stability stable
     */
    readonly staticIpName: string;
}
/**
 * @stability stable
 */
export declare class LightsailStaticIpAttachment extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LightsailStaticIpAttachmentConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceName;
    /**
     * @stability stable
     */
    get instanceName(): string;
    /**
     * @stability stable
     */
    set instanceName(value: string);
    /**
     * @stability stable
     */
    get instanceNameInput(): string;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    private _staticIpName;
    /**
     * @stability stable
     */
    get staticIpName(): string;
    /**
     * @stability stable
     */
    set staticIpName(value: string);
    /**
     * @stability stable
     */
    get staticIpNameInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
