import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MacieMemberAccountAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly memberAccountId: string;
}
/**
 * @stability stable
 */
export declare class MacieMemberAccountAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MacieMemberAccountAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _memberAccountId;
    /**
     * @stability stable
     */
    get memberAccountId(): string;
    /**
     * @stability stable
     */
    set memberAccountId(value: string);
    /**
     * @stability stable
     */
    get memberAccountIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
