import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface MskScramSecretAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly clusterArn: string;
    /**
     * @stability stable
     */
    readonly secretArnList: string[];
}
/**
 * @stability stable
 */
export declare class MskScramSecretAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: MskScramSecretAssociationConfig);
    private _clusterArn;
    /**
     * @stability stable
     */
    get clusterArn(): string;
    /**
     * @stability stable
     */
    set clusterArn(value: string);
    /**
     * @stability stable
     */
    get clusterArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _secretArnList;
    /**
     * @stability stable
     */
    get secretArnList(): string[];
    /**
     * @stability stable
     */
    set secretArnList(value: string[]);
    /**
     * @stability stable
     */
    get secretArnListInput(): string[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
