import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Route53ResolverQueryLogConfigAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly resolverQueryLogConfigId: string;
    /**
     * @stability stable
     */
    readonly resourceId: string;
}
/**
 * @stability stable
 */
export declare class Route53ResolverQueryLogConfigAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Route53ResolverQueryLogConfigAssociationConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _resolverQueryLogConfigId;
    /**
     * @stability stable
     */
    get resolverQueryLogConfigId(): string;
    /**
     * @stability stable
     */
    set resolverQueryLogConfigId(value: string);
    /**
     * @stability stable
     */
    get resolverQueryLogConfigIdInput(): string;
    private _resourceId;
    /**
     * @stability stable
     */
    get resourceId(): string;
    /**
     * @stability stable
     */
    set resourceId(value: string);
    /**
     * @stability stable
     */
    get resourceIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
