import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface SecurityhubInviteAccepterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly masterId: string;
}
/**
 * @stability stable
 */
export declare class SecurityhubInviteAccepter extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: SecurityhubInviteAccepterConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get invitationId(): string;
    private _masterId;
    /**
     * @stability stable
     */
    get masterId(): string;
    /**
     * @stability stable
     */
    set masterId(value: string);
    /**
     * @stability stable
     */
    get masterIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
