import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface VpnConnectionRouteConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly destinationCidrBlock: string;
    /**
     * @stability stable
     */
    readonly vpnConnectionId: string;
}
/**
 * @stability stable
 */
export declare class VpnConnectionRoute extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: VpnConnectionRouteConfig);
    private _destinationCidrBlock;
    /**
     * @stability stable
     */
    get destinationCidrBlock(): string;
    /**
     * @stability stable
     */
    set destinationCidrBlock(value: string);
    /**
     * @stability stable
     */
    get destinationCidrBlockInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _vpnConnectionId;
    /**
     * @stability stable
     */
    get vpnConnectionId(): string;
    /**
     * @stability stable
     */
    set vpnConnectionId(value: string);
    /**
     * @stability stable
     */
    get vpnConnectionIdInput(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
